diff -Naur sip-2.4.orig/acconfig.h sip-2.4/acconfig.h
--- sip-2.4.orig/acconfig.h
+++ sip-2.4/acconfig.h	Fri Apr 27 11:36:46 2001
@@ -0,0 +1,3 @@
+/* Define if you have a real bool for C++ */
+#undef HAVE_BOOL
+
diff -Naur sip-2.4.orig/configure.in sip-2.4/configure.in
--- sip-2.4.orig/configure.in	Sun Apr 22 03:05:08 2001
+++ sip-2.4/configure.in	Fri Apr 27 11:27:48 2001
@@ -271,6 +271,32 @@
 fi
 
 
+dnl check for a real bool
+
+AC_MSG_CHECKING([for bool])
+AC_LANG_SAVE
+AC_LANG_CPLUSPLUS
+save_CXXFLAGS="$CXXFLAGS"
+AC_TRY_COMPILE([],[
+void proxySlot(int);
+void proxySlot(bool);
+
+int main()
+{ return 0; }
+], sip_result=yes,
+   sip_result=no)
+
+CXXFLAGS="$save_CXXFLAGS"
+AC_LANG_RESTORE
+AC_MSG_RESULT($sip_result)
+
+if test $sip_result = "no"
+then
+	AC_DEFINE(HAVE_BOOL,0)
+else
+	AC_DEFINE(HAVE_BOOL,1)
+fi
+
 dnl Find Python.
  
 if test "X$with_python" = "X"
diff -Naur sip-2.4.orig/sip/gencode.c sip-2.4/sip/gencode.c
--- sip-2.4.orig/sip/gencode.c	Fri Mar 16 16:22:36 2001
+++ sip-2.4/sip/gencode.c	Fri Apr 27 11:46:45 2001
@@ -274,6 +274,12 @@
 
 	for (fl = pt -> sigargs; fl != NULL; fl = fl -> next)
 	{
+#if HAVE_BOOL == 0
+		/* SGI's o32 format doesn't have bool types. They are ints.
+		   so don't generate a proxySlot(bool) method */
+		if (fl -> fa -> nrArgs == 1 &&
+			fl -> fa -> args[0] . atype == bool_type) continue;
+#endif
 		generateOredVersionStart(pt,fl -> vol,fp);
 
 		prcode(fp,
@@ -2399,6 +2405,12 @@
 
 	for (fl = pt -> sigargs; fl != NULL; fl = fl -> next)
 	{
+#if HAVE_BOOL == 0
+		/* SGI's o32 format doesn't have bool types. They are ints.
+		   so don't generate a proxySlot(bool) method */
+		if (fl -> fa -> nrArgs == 1 &&
+			fl -> fa -> args[0] . atype == bool_type) continue;
+#endif
 		generateOredVersionStart(pt,fl -> vol,fp);
 
 		prcode(fp,
@@ -2422,6 +2434,12 @@
 
 	for (fl = pt -> sigargs; fl != NULL; fl = fl -> next)
 	{
+#if HAVE_BOOL == 0
+		/* SGI's o32 format doesn't have bool types. They are ints.
+		   so don't generate a proxySlot(bool) method */
+		if (fl -> fa -> nrArgs == 1 &&
+			fl -> fa -> args[0] . atype == bool_type) continue;
+#endif
 		prcode(fp,
 "\n"
 			);
